Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.dom
Class XDBProcInst

`java.lang.Object
oracle.xdb.dom.XDBNode
oracle.xdb.dom.XDBProcInst`

All Implemented Interfaces:
  Node, ProcessingInstruction

Deprecated. as of Oracle Database 11g release 1, use oracle.xml.parser.v2.XMLPI

      public class XDBProcInst

extends XDBNode
implements ProcessingInstruction

This class implements the W3C DOM ProcessingInstruction interface.

Field Summary

Fields inherited from class oracle.xdb.dom.XDBNode
`m_conn, m_owner, m_xobcstate`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getData()` Deprecated. get the value the data
`java.lang.String` `getTarget()` Deprecated. Returns the target name of the PI
`void` `setData(java.lang.String value)` Deprecated. set the value of the PI node

Methods inherited from class oracle.xdb.dom.XDBNode

`appendChild, cloneNode, close, compareDocumentPosition, equals, finalize, getAttributes, getBaseURI, getChildNodes, getExpandedName, getFeature, getFirstChild, getInputStream, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeFromCState, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getPrimitiveType, getQualifiedName, getSchemaNode, getTextContent, getUserData, hasAttributes, hasChildNodes, hashCode, insertBefore, isClosed, isDefaultNamespace, isEqualNode, isNilled, isSameNode, isSchemaBased, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setNodeXob, setOwner, setPrefix, setTextContent, setUserData, setXobCstate, toCState, toString, validateName, write, writeToOutputStream`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getTarget

    public java.lang.String getTarget()

  Deprecated.
  Returns the target name of the PI
  Specified by:
    `getTarget` in interface `ProcessingInstruction`
  Returns:
    the name of the target

### getData

    public java.lang.String getData()

  Deprecated.
  get the value the data
  Specified by:
    `getData` in interface `ProcessingInstruction`
  Returns:
    the PI data

### setData

    public void setData(java.lang.String value)
                 throws DOMException

  Deprecated.
  set the value of the PI node
  Specified by:
    `setData` in interface `ProcessingInstruction`
  Throws:
    `DOMException`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.